=== Exceptions

This rule doesn't raise issues for:

* annotated methods
* methods with parameters that are annotated with `@javax.enterprise.event.Observes`

The rule does not take reflection into account, which means that issues will be raised on `private` methods that are only accessed using the reflection API.